package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcAssessContentWorkMapper;
import com.ruoyi.oa.domain.CmcAssessContentWork;
import com.ruoyi.oa.service.ICmcAssessContentWorkService;

/**
 * 考核工作内容Service业务层处理
 * 
 * @author cmc
 * @date 2024-01-09
 */
@Service
public class CmcAssessContentWorkServiceImpl implements ICmcAssessContentWorkService 
{
    @Autowired
    private CmcAssessContentWorkMapper cmcAssessContentWorkMapper;

    /**
     * 查询考核工作内容
     * 
     * @param workId 考核工作内容主键
     * @return 考核工作内容
     */
    @Override
    public List<CmcAssessContentWork> selectCmcAssessContentWorkByWorkId(String workId)
    {
        return cmcAssessContentWorkMapper.selectCmcAssessContentWorkByWorkId(workId);
    }

    /**
     * 查询考核工作内容列表
     * 
     * @param cmcAssessContentWork 考核工作内容
     * @return 考核工作内容
     */
    @Override
    public List<CmcAssessContentWork> selectCmcAssessContentWorkList(CmcAssessContentWork cmcAssessContentWork)
    {
        return cmcAssessContentWorkMapper.selectCmcAssessContentWorkList(cmcAssessContentWork);
    }

    /**
     * 新增考核工作内容
     * 
     * @param cmcAssessContentWork 考核工作内容
     * @return 结果
     */
    @Override
    public int insertCmcAssessContentWork(CmcAssessContentWork cmcAssessContentWork)
    {
        return cmcAssessContentWorkMapper.insertCmcAssessContentWork(cmcAssessContentWork);
    }

    /**
     * 修改考核工作内容
     * 
     * @param cmcAssessContentWork 考核工作内容
     * @return 结果
     */
    @Override
    public int updateCmcAssessContentWork(CmcAssessContentWork cmcAssessContentWork)
    {
        return cmcAssessContentWorkMapper.updateCmcAssessContentWork(cmcAssessContentWork);
    }

    /**
     * 批量删除考核工作内容
     * 
     * @param workIds 需要删除的考核工作内容主键
     * @return 结果
     */
    @Override
    public int deleteCmcAssessContentWorkByWorkIds(String[] workIds)
    {
        return cmcAssessContentWorkMapper.deleteCmcAssessContentWorkByWorkIds(workIds);
    }

    /**
     * 删除考核工作内容信息
     * 
     * @param workId 考核工作内容主键
     * @return 结果
     */
    @Override
    public int deleteCmcAssessContentWorkByWorkId(String workId)
    {
        return cmcAssessContentWorkMapper.deleteCmcAssessContentWorkByWorkId(workId);
    }
}
